Bug 87381 - EDITING: Pasting unmerges copied cells when pasted to a correctly sized selected area
Summary: EDITING: Pasting unmerges copied cells when pasted to a correctly sized selec...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paste Calc-Merge-Split
  Show dependency treegraph
 
Reported: 2014-12-16 21:29 UTC by klsu
Modified: 2019-09-08 20:23 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description klsu 2014-12-16 21:29:39 UTC
Copying a set of 5 horizontally/vertically merged cells, moving left/up 5 cells and pasting, copies the merged cells properly. Selecting the 5 destination cells left of/above the group being copied and pasting copies the merged cells properly and unmerges the original cells being copied.
Comment 1 raal 2014-12-17 10:12:04 UTC
I can not confirm with LO 4.3.4, but I'm not sure if I understood correctly

 - merge cells A1:A5
 - select this merged cells, copy CTRL+C
 - select B1:B5
 - paste

Actual results
 B1:B5 merged -> OK

Please explain.
Comment 2 klsu 2014-12-17 14:38:54 UTC
raal: This problem only occurs in very specific situations. Examples, where copy can be Ctrl+c, Ctrl+Insert, right-click > Copy, or menu Edit > Copy, and paste can be any type as well: 

1. assuming 5 cells to be merged horizontally
   in any row, merge 5 cells F-J (or G-H, etc.)
   select & copy the merged cells
   select 5 cells A-E (or B-F, etc.) ADJACENT to & LEFT OF the orignal cells
   paste
   5 original cells in columns F-J (or G-H, etc.) are now unmerged

2. assuming 7 cells to be merged vertically
   in any column, merge 7 cells 8-14 (or 9-15, etc.)
   select & copy the merged cells
   select 7 cells 1-7 (or 2-8, etc.) ADJACENT to & ABOVE the orignal cells
   paste
   7 original cells in rows 8-14 (or 9-15, etc.) are now unmerged

3. if a range of cells WxH is merged anywhere W columns right and H rows or more below A1, the same thing will happen if you try to paste a copy of it into a WxH range selected above or to the left and immediately adjacent to the original merged cells, as long as the original merged cell and the adjacent selected range have at least one row or column in common or touch the upper left corner of the original merged cell; e.g.:
   merge cells G23:K25
   select & copy the merged cells
   select any of the 5x3 ranges:
B20:F22	C20:G22	D20:H22	E20:I22	F20:J22	G20:K22	H20:L22	I20:M22	J20:N22	K20:O22
B21:F23	C21:G23	D21:H23	E21:I23	F21:J23	G21:K23	H21:L23	I21:M23	J21:N23	K21:O23
B22:F24	C22:G24	D22:H24	E22:I24	F22:J24	G22:K24	H22:L24	I22:M24	J22:N24	K22:O24
B23:F25
B24:F26
B25:F27
   pasting leaves cells G23:K25 unmerged
Comment 3 raal 2014-12-17 17:58:33 UTC
Thank you for explanation. I can confirm with Version: 4.4.0.0.beta2+
Build ID: e1de94244c1b0419c1c3415c02381e8b7a87abe0
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:libreoffice-4-4, Time: 2014-12-14_11:45:23

1. assuming 5 cells to be merged horizontally
   in any row, merge 5 cells F-J (or G-H, etc.)
   select & copy the merged cells
   select 5 cells A-E (or B-F, etc.) ADJACENT to & LEFT OF the orignal cells
   paste
   5 original cells in columns F-J (or G-H, etc.) are now unmerged


Setting as NEW
Comment 4 Matthew Francis 2015-04-11 09:51:58 UTC
Occurs back to LO / OOo 3.3.0
-> Version: Inherited from OOo
Comment 5 tommy27 2016-04-16 07:25:55 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2017-05-22 13:27:56 UTC Comment hidden (obsolete)
Comment 7 Thomas Lendo 2019-09-08 20:23:48 UTC
Still reproducible.
Version: 6.4.0.0.alpha0+
Build ID: 4e527f55d74e3220873075a8ec2799e2206fdb2d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-08-31_02:35:57